Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

A Wallet gift card can be used as payment option in a standalone payment system. For using with Dintero Checkout, see Paying with Dintero Gift Cards in Checkout The process is:
  1. Check the balance of the gift card
  2. Pay the order partially or fully with the funds available
  3. Let payer pay the remaining amount with card/cash in the payment system.

Check balance

Use the info endpoint to get available funds that can be used in a sale transaction
POST https://api.dintero.com/v1/accounts/{aid}/wallets/info
Authorization: Bearer <token>
Content-Type: application/json

{
  "token": "{card_token}"
}

Create capture (sale transaction)

Use the card_id included in the info response
POST https://api.dintero.com/v1/accounts/{aid}/wallets/transactions
Authorization: Bearer <token>
Content-Type: application/json

{
  "token": "{card_token}",
  "card_id": "string",
  "metadata": {
    "order_id": "xk39592f"
  },
  "ref_id": "string",
  "amount": 50000,
  "currency": "NOK",
  "type": "drawdown",
  "pending": false
}
See related API documentation for more information about balance and transaction
Last modified on May 7, 2026